### Method

# Panel Widget set_kind

#### Declaration [src]

    void
    panel_widget_set_kind (
      PanelWidget* self,
      const char* kind
    )

#### Description [src]

Sets the kind of the widget.

Sets property | `Panel.Widget:kind`

#### Parameters

`kind`

  Type: `const char*`

  The kind of this widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.